Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-09-26 05:06:37

0001 #!/bin/bash
0002 
0003 function die { echo $1: status $2 ;  exit $2; }
0004 
0005 LOCAL_TEST_DIR=${SCRAM_TEST_PATH}
0006 
0007 cmsRun ${LOCAL_TEST_DIR}/create_TriggerEvent_test_file_cfg.py || die 'Failure using create_TriggerEvent_test_file_cfg.py' $?
0008 
0009 file=testTriggerEvent.root
0010 
0011 cmsRun ${LOCAL_TEST_DIR}/test_readTriggerEvent_cfg.py "$file" || die "Failure using test_readTriggerEvent_cfg.py $file" $?
0012 
0013 # The old files read below were generated as follows.
0014 #
0015 #     Check out the release indicated in the filename. Then cherry pick
0016 #     the commit that adds the original version of the file
0017 #     DataFormats/HLTReco/test/TestWriteTriggerEvent.cc.
0018 #     Except for BuildFile.xml, this only adds new test files.
0019 #     There may be minor conflicts or issues in test/BuildFile.xml
0020 #     that need to be resolved.
0021 #
0022 # Run cmsRun with DataFormats/HLTReco/test/create_TriggerEvent_test_file_cfg.py
0023 # as the configuration and rename the file that creates.
0024 
0025 # Note that TriggerEvent is declared in the classes_def.xml file with
0026 # a requirement that the product is always written with split level 0.
0027 # Most other raw data products are written with the default split level
0028 # for the output file. That is why all the test input files in this
0029 # shell script were written with split level 0.
0030 
0031 oldFiles="testTriggerEvent_CMSSW_13_0_0_split_0.root testTriggerEvent_CMSSW_13_1_0_pre3_split_0.root"
0032 for file in $oldFiles; do
0033   inputfile=$(edmFileInPath DataFormats/HLTReco/data/$file) || die "Failure edmFileInPath DataFormats/HLTReco/data/$file" $?
0034   cmsRun ${LOCAL_TEST_DIR}/test_readTriggerEvent_cfg.py "$inputfile" || die "Failed to read old file $file" $?
0035 done
0036 
0037 exit 0